Skip to main content
PATCH
Update macro

Authorizations

Authorization
string
header
required

Use your account ID as the username and your personal access token (PAT) as the password, or pass a Base64-encoded value directly in the Authorization header. For more information, see the personal access tokens guide.

Path Parameters

macroID
string<uuid>
required

Unique object identifier

Example:

"42e113f9-9353-4e89-9f68-69b92f423b0c"

Body

application/json
name
string

The macro name.

description
string

The macro description.

teamIDs
string<uuid>[] | null

This is a list of teams where the macro will be available. If set to null, the macro will be accessible in all teams. If you provide an empty array, the macro will not be available in any team.

actions
object[]
shared
boolean

If a macro is shared, it becomes visible to all agents, regardless of macros teamIDs list. The edition of shared macros is a privilege reserved for administrators.

Response

200 - application/json

Successful response.

ID
string<uuid>

Unique object identifier.

licenseID
integer

Unique account identifier.

createdAt
string<date-time>

The time of creation.

createdBy
string<uuid>

The creator identifier.

createdByType
enum<string>

The creator type.

Available options:
agent,
client,
system
updatedAt
string<date-time>

The time of last modification.

updatedBy
string<uuid>

The modification author identifier.

agentID
string<uuid>

Unique object identifier

Example:

"42e113f9-9353-4e89-9f68-69b92f423b0c"

name
string

The macro name.

description
string

The macro description.

teamIDs
string<uuid>[] | null

This is a list of teams where the macro will be available. If set to null, the macro will be accessible in all teams. If you provide an empty array, the macro will not be available in any team.

actions
object[]